import request from "@/utils/request";

//集团数据统计
export function infoMemberCount(data) {
  return request({
    url: '/combine/info/memberCount',
    method: 'post',
    data: data
  })
}

// 集团logo
export function combineMemberLogo(data) {
  return request({
    url: '/combine/info/combineMemberLogo',
    method: 'post',
    data: data
  })
}
// 集团成员列表
export function memberList(data) {
  return request({
    url: '/combine/info/memberList',
    method: 'post',
    data: data
  })
}

// 集团成员-主营业务
export function memberCount(data) {
  return request({
    url: '/combine/info/group/memberCount',
    method: 'post',
    data: data
  })
}
// 集团资质列表
export function certificateList(data) {
  return request({
    url: '/combine/info/certificateList',
    method: 'post',
    data: data
  })
}
// 集团资质列表-详情
export function memberCertificateList(data) {
  return request({
    url: '/combine/info/member/certificateList',
    method: 'post',
    data: data
  })
}
// 集团资质分组统计
export function certificateCount(data) {
  return request({
    url: '/combine/info/group/certificateCount',
    method: 'post',
    data: data
  })
}

// 集团业绩列表
export function businessList(data) {
  return request({
    url: '/combine/info/businessList',
    method: 'post',
    data: data
  })
}

// 集团招标
export function bidPage(data) {
  return request({
    url: '/combine/info/bidPage',
    method: 'post',
    data: data
  })
}
// 集团业绩导出
export function exportWinBid(data) {
  return request({
    url: '/combine/info/export/win/bid',
    method: 'post',
    data: data
  })
}
// 集团招标导出
export function exportBid(data) {
  return request({
    url: '/combine/info/export/bid',
    method: 'post',
    data: data
  })
}

// 集团施工项目最新招标
export function recentlyBid(data) {
  return request({
    url: '/marketAnalysis/combine/recentlyBid',
    method: 'post',
    data: data
  })
}
// 集团施工项目年度招标
export function bidByYear(data) {
  return request({
    url: '/marketAnalysis/combine/bidByYear',
    method: 'post',
    data: data
  })
}
// 集团施工项目发包金额统计
export function groupByMoney(data) {
  return request({
    url: '/marketAnalysis/combine/groupByMoney',
    method: 'post',
    data: data
  })
}
// 集团施工项目发包类型统计
export function groupByType(data) {
  return request({
    url: '/marketAnalysis/combine/groupByType',
    method: 'post',
    data: data
  })
}
// 施工项目下浮率统计
export function groupByLowerRate(data) {
  return request({
    url: '/marketAnalysis/combine/groupByLowerRate',
    method: 'post',
    data: data
  })
}
// 历史发包项目金额Top10
export function peojectTop(data) {
  return request({
    url: '/marketAnalysis/combine/peojectTop',
    method: 'post',
    data: data
  })
}

// 集团成员导出
export function memberListExport(data) {
  return request({
    url: '/combine/info/memberList/export',
    method: 'post',
    data: data
  })
}
